GST2ASCII(1)

NAME
gst2ascii - Output Atari program DRI/GST format symbol table

SYNOPSIS
gst2ascii [options] <program>

DESCRIPTION
gst2ascii reads DRI/GST symbol table from given Atari program and outputs it in the ASCII format understood by Hatari debugger and its profiler data post-processor (which doesn't accept any other format).

There are some options to filter the symbol table content and the resulting ASCII output is easy to edit also by hand, if other symbols (for e.g. loop labels) need to be removed or missing function symbols need to be added.

OPTIONS

-n  Sort symbol output by symbol name, not by their addresses.

-b  Filter BSS symbols out from the output.

-b  Filter DATA symbols out from the output.

-t  Filter TEXT symbols out from the output.

-l  Filter local (.L*) symbols out. Usually they're useless because they don't have names, just numbers.

-o  Filter symbols for object files (*.o) out.

NOTES
If you have problems, try with 'nm -n <program>' instead (Atari or cross-compiler version). If nm works, but gst2ascii doesn't, please report a bug on it.

EXAMPLES
Save 'program.prg' symbol table in ASCII format with local symbols filtered out:
    gst2ascii -l program.prg > program.sym

Load generated ASCII symbols file in Hatari debugger:
    symbols program.sym TEXT DATA BSS

SEE ALSO
hatari(1), hatari_profile(1)

AUTHOR
Written by Eero Tamminen <oak at helsinkinet fi>.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

NO WARRANTY
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.